Package ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom

# Class SmartHouseIntercomFlat

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.smarthouse.common.bean.intercom.SmartHouseIntercomFlat

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    @Entity
    public class SmartHouseIntercomFlat
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SmartHouseIntercomFlat()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `int` | `getFlatNumber()` |
  `int` | `getIntercomId()` |
  `Period` | `getPeriod()` |
  `boolean` | `isStatus()` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setFlatNumber​(int flatNumber)` |
  `void` | `setIntercomId​(int intercomId)` |
  `void` | `setPeriod​(Period period)` |
  `void` | `setStatus​(boolean status)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SmartHouseIntercomFlat

    public SmartHouseIntercomFlat()

- ## Method Details

  - ### getFlatNumber

    public int getFlatNumber()

  - ### setFlatNumber

    public void setFlatNumber​(int flatNumber)

  - ### getIntercomId

    public int getIntercomId()

  - ### setIntercomId

    public void setIntercomId​(int intercomId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod​(Period period)

  - ### isStatus

    public boolean isStatus()

  - ### setStatus

    public void setStatus​(boolean status)